Page MenuHomePhabricator

[ARM] Ensure instructions are simplified prior to GatherScatter lowering.
ClosedPublic

Authored by dmgreen on May 26 2021, 3:32 AM.

Details

Summary

Surprisingly, not all instructions are always simplified after unrolling and before MVE gather/scatter lowering. Notably dead gather operations can be left around which cause the gather/scatter lowering pass to crash after if there are multiple gathers, some of which are dead.

This can change some of the existing tests, including making them no-longer test what they originally tested. This uses a combination of disabling the gather/scatter lowering pass and adjusting the test to keep them as before.

Diff Detail

Event Timeline

dmgreen created this revision.May 26 2021, 3:32 AM
dmgreen requested review of this revision.May 26 2021, 3:32 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 26 2021, 3:32 AM
samtebbs accepted this revision.Jun 8 2021, 9:06 AM

LGTM

This revision is now accepted and ready to land.Jun 8 2021, 9:06 AM
This revision was landed with ongoing or failed builds.Jun 10 2021, 12:18 PM
This revision was automatically updated to reflect the committed changes.